Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### rotate()

Examples

    translate(width/2, height/2);
    rotate(PI/3.0);
    rect(-26, -26, 52, 52);

Description

Rotates a shape the amount specified by the angle parameter. Angles should be specified in radians (values from 0 to TWO_PI) or converted to radians with the radians() function.
Objects are always rotated around their relative position to the origin and positive numbers rotate objects in a clockwise direction. Transformations apply to everything that happens after and subsequent calls to the function accumulates the effect. For example, calling rotate(HALF_PI) and then rotate(HALF_PI) is the same as rotate(PI). All tranformations are reset when draw() begins again.
Technically, rotate() multiplies the current transformation matrix by a rotation matrix. This function can be further controlled by the pushMatrix() and popMatrix().

Syntax

    rotate(angle);

Parameters

angle | float: angle of rotation specified in radians

Returns | None
Usage | Web & Application
Related | rotateX() rotateY() rotateZ() translate() scale() pushMatrix() popMatrix() radians()

Updated on November 22, 2008 08:39:25pm PST